=== debian/changelog ===
praat (6.0.48-1) unstable; urgency=medium

  * New upstream version 6.0.48

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 20 Feb 2019 17:24:23 -0300

praat (6.0.47-2) unstable; urgency=medium

  * d/t/run-tests: Skip unit tests that fail on mips64el

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 19 Feb 2019 13:21:45 -0300

praat (6.0.47-1) unstable; urgency=medium

  * New upstream version 6.0.47

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 17 Feb 2019 15:45:54 -0300

praat (6.0.46-4) unstable; urgency=medium

  * Fix FTCBFS
    + d/rules: seed build tools from dpkg's buildtools.mk
    + d/mk-vars-hardening: Do not include CFLAGS into CXXFLAGS
    + d/p/cross-build.patch: Allow substituting pkg-config.
    + d/p/cross-build.patch: Don't stuff flags into $(CC) or $(CXX).
    + d/p/cross-build.patch: Default LINK to $(CXX).
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch (Closes: #919490)
  * d/t/run-tests: Drop unit test test_MixingMatrix

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 16 Jan 2019 20:54:25 -0200

praat (6.0.46-3) unstable; urgency=medium

  * d/p/show-fc-discrimant-test.patch: Drop patch
  * d/t/run-tests: Exclude unit test test_Discriminant.praat

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 07 Jan 2019 11:06:18 -0200

praat (6.0.46-2) unstable; urgency=medium

  * d/p/show-fc-discrimant-test.patch: New patch
  * d/t/run-tests: Exclude test_SpeechSynthesizer_alignment.praat

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 06 Jan 2019 18:55:06 -0200

praat (6.0.46-1) unstable; urgency=medium

  * New upstream version 6.0.46
  * d/p/melder-tensor-resize.patch: Drop patch (applied upstream)
  * d/p/fix-procrustes-unit-test.patch: Refresh for new upstream release
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump debhelper to compat level 12
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Add build-dependency on libjack

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Jan 2019 22:57:33 -0200

praat (6.0.43-1) unstable; urgency=medium

  * New upstream version 6.0.43
  * d/copyright: Reflect upstream changes
  * d/p/melder-tensor-resize.patch: New patch
  * d/rules, d/clean: Do file removal in the appropriate place

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 11 Sep 2018 07:35:19 -0300

praat (6.0.42-2) unstable; urgency=medium

  * d/t/run-tests: Exclude two problematic unit tests

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 29 Aug 2018 13:15:57 -0300

praat (6.0.42-1) unstable; urgency=medium

  * New upstream version 6.0.42
  * d/copyright: Reflect upstream changes
  * d/rules: Adjust for new upstream version
  * d/t/run-tests: Do not exclude unit test ba-da-continuum.praat
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.1

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 28 Aug 2018 14:36:58 -0300
