=== debian/control ===
Source: praat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libgtk2.0-dev,
               libjack-jackd2-dev,
               libpulse-dev,
               xauth,
               xvfb,
               xmlto
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/praat
Vcs-Git: https://salsa.debian.org/med-team/praat.git
Homepage: http://www.praat.org
Rules-Requires-Root: no

Package: praat
Architecture: amd64 arm64 i386 mips64el ppc64el s390x alpha kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 sparc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         oss-compat,
         python3
Description: program for speech analysis and synthesis
 According to its authors, praat is "doing phonetics by computer".  Through
 its graphical interface, several speech analysis functionalities are
 available: spectrograms, cochleograms, and pitch and formant
 extraction.  Articulatory synthesis, as well as synthesis from pitch,
 formant, and intensity are also available.  Other features are
 segmentation, labelling using the phonetic alphabet, and computation of
 statistics.  Praat is configurable and extensible through its own scripting
 language and has provisions for communicating with other programs.
