=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d+)\.(\d+)\.0?(\d+)\.tar\.gz/praat-$1.$2.$3.tar.gz/"	\
    https://github.com/praat/praat/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
