=== debian/changelog ===
praat (6.1-1) unstable; urgency=medium

  * New upstream version 6.1
  * d/watch: Cope with less than three parts in version number

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 16 Jul 2019 09:30:18 -0300

praat (6.0.56-2) unstable; urgency=medium

  * Copy the lacking WAV file in d/t/run-tests instead of d/rules.
    This ensures that the unit test unicode.praat will work both during
    package build time and on debian-ci.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 11 Jul 2019 17:54:52 -0300

praat (6.0.56-1) unstable; urgency=medium

  * New upstream version 6.0.56
  * Upload to unstable
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * Add lacking file for unit test test/kar/unicode.praat.
    See https://github.com/praat/praat/pull/1018 for details.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 07:41:08 -0300

praat (6.0.52-2) experimental; urgency=medium

  * d/t/run-tests: Exclude unit test test_Discriminant (fails on i386)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 May 2019 07:20:02 -0300

praat (6.0.52-1) experimental; urgency=medium

  * New upstream version 6.0.52

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 06 May 2019 04:15:47 -0300

praat (6.0.49-2) unstable; urgency=medium

  * t/run-tests: Drop test_Discriminant from the list of excluded unit tests

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 11 Mar 2019 18:06:08 -0300

praat (6.0.49-1) unstable; urgency=medium

  * New upstream version 6.0.49
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 10 Mar 2019 19:37:06 -0300
