=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                xauth,
                xvfb,
                xmlto
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: http://www.praat.org
