## praat 6.1.08

=== debian/changelog ===
praat (6.1.08-1) unstable; urgency=medium

  * New upstream version 6.1.08

 -- Rafael Laboissière <rafael@debian.org>  Sat, 07 Dec 2019 10:13:23 -0300

praat (6.1.07-1) unstable; urgency=medium

  * New upstream version 6.1.07

 -- Rafael Laboissière <rafael@debian.org>  Thu, 28 Nov 2019 02:15:07 -0300

praat (6.1.06-1) unstable; urgency=medium

  * New upstream version 6.1.06
  * d/p/cross-build.patch: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 15 Nov 2019 01:38:47 -0300

praat (6.1.05-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Oct 2019 15:25:49 -0300

praat (6.1.05-1) unstable; urgency=medium

  * New upstream version 6.1.05

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Oct 2019 07:10:39 -0300

praat (6.1.04-1) unstable; urgency=medium

  * New upstream version 6.1.04
  * d/p/fix-test-electroglottogram.patch: Drop patch (applied upstream)
  * d/t/run-tests: Exclude unit test KlattGrid_test
  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Oct 2019 02:16:20 -0300

praat (6.1.03-1) unstable; urgency=medium

  * New upstream version 6.1.03
  * d/p/fix-test-electroglottogram.patch: New patch
  * d/t/run-tests: Exclude unit test MacRoman.praat

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Sep 2019 16:21:24 -0300
