=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: praat
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>
+           Rafael Laboissière <rafael@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -12,7 +12,7 @@
                xauth,
                xvfb,
                xmlto
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
 Homepage: http://www.praat.org
