=== dwsys/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	FileInMemory.o FileInMemorySet.o FileInMemoryManager.o\
 	Graphics_extensions.o Index.o \
 	MAT_numerics.o \
-	NUM2.o NUMhuber.o NUMmachar.o \
+	NMF.o NUM2.o NUMhuber.o NUMmachar.o \
 	NUMf2c.o NUMcblas.o NUMclapack.o NUMcomplex.o NUMfft_d.o NUMsort2.o \
 	NUMmathlib.o NUMstring.o \
 	Permutation.o Permutation_and_Index.o \
