=== melder/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile of the library "melder"
-# Paul Boersma, 4 September 2018
+# Paul Boersma, 4 November 2019
 
 include ../makefile.defs
 
 CPPFLAGS = -I ../melder
 
-OBJECTS = melder.o complex.o melder_alloc.o \
+OBJECTS = melder.o complex.o melder_alloc.o melder_colour.o \
 	melder_ftoa.o melder_console.o melder_textencoding.o melder_atof.o melder_files.o \
 	melder_tensor.o melder_sort.o melder_debug.o MelderFile.o melder_strings.o \
 	melder_search.o \
