=== debian/changelog ===
praat (6.1.09-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:54:32 +0100

praat (6.1.09-1) unstable; urgency=medium

  * New upstream version 6.1.09
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/clean: Remove *.wav files left over by the unit tests

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jan 2020 03:07:15 -0300
