=== debian/rules ===
--- 
+++ 
@@ -85,5 +85,5 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	    PRAAT=$(CURDIR)/praat debian/tests/run-tests
+	PRAAT=$(CURDIR)/praat debian/tests/run-tests
 endif
