=== debian/tests/control ===
Tests: run-tests
Depends: @, xauth, xvfb
Restrictions: allow-stderr
