## praat 6.1.16

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # File: Makefile
 
 # Makefile for Praat.
-# Paul Boersma, 12 August 2018
+# Paul Boersma, 24 May 2020
 
 # System-dependent definitions of CC, LIBS, ICON and MAIN_ICON should be in
 # makefile.defs, which has to be copied and renamed
@@ -13,6 +13,7 @@
 
 # Makes the Praat executable in the source directory.
 all:
+	$(MAKE) -C external/clapack
 	$(MAKE) -C external/gsl
 	$(MAKE) -C external/glpk
 	$(MAKE) -C external/mp3
@@ -31,21 +32,23 @@
 	$(MAKE) -C gram
 	$(MAKE) -C FFNet
 	$(MAKE) -C artsynth
-	$(MAKE) -C contrib/ola
 	$(MAKE) -C main main_Praat.o $(ICON)
 	$(LINK) -o $(EXECUTABLE) main/main_Praat.o $(MAIN_ICON) fon/libfon.a \
-		contrib/ola/libOla.a artsynth/libartsynth.a \
-		FFNet/libFFNet.a gram/libgram.a EEG/libEEG.a \
+		artsynth/libartsynth.a FFNet/libFFNet.a \
+		gram/libgram.a EEG/libEEG.a \
 		LPC/libLPC.a dwtools/libdwtools.a \
 		fon/libfon.a stat/libstat.a dwsys/libdwsys.a \
 		sys/libsys.a melder/libmelder.a kar/libkar.a \
 		external/espeak/libespeak.a \
 		external/portaudio/libportaudio.a \
 		external/flac/libflac.a external/mp3/libmp3.a \
-		external/glpk/libglpk.a external/gsl/libgsl.a \
+		external/glpk/libglpk.a \
+		external/clapack/libclapack.a \
+		external/gsl/libgsl.a \
 		$(LIBS)
 
 clean:
+	$(MAKE) -C external/clapack clean
 	$(MAKE) -C external/gsl clean
 	$(MAKE) -C external/glpk clean
 	$(MAKE) -C external/mp3 clean
@@ -64,7 +67,6 @@
 	$(MAKE) -C gram clean
 	$(MAKE) -C FFNet clean
 	$(MAKE) -C artsynth clean
-	$(MAKE) -C contrib/ola clean
 	$(MAKE) -C main clean
 	$(RM) praat
