=== dwtools/Makefile ===
--- 
+++ 
@@ -1,19 +1,19 @@
 # Makefile of the library "dwtools"
 # David Weenink and Paul Boersma
-# 1 April 2019
+# 25 May 2020
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../EEG -I ../kar
+CPPFLAGS = -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG
 
 OBJECTS = ActivationList.o AffineTransform.o \
 	Categories.o CategoriesEditor.o \
 	Categories_and_Strings.o CCA.o CCA_and_Correlation.o \
-	CC.o CCs_to_DTW.o \
+	Correlation.o Covariance.o CC.o CCs_to_DTW.o \
 	ClassificationTable.o Confusion.o \
 	ComplexSpectrogram.o Configuration.o ContingencyTable.o \
 	Configuration_AffineTransform.o \
-	Configuration_and_Procrustes.o  DataModeler.o Distance.o \
+	Configuration_and_Procrustes.o DataModeler.o Distance.o \
 	DTW.o DTW_and_TextGrid.o \
 	Discriminant.o  Discriminant_PatternList_Categories.o \
 	Electroglottogram.o EditDistanceTable.o EEG_extensions.o \
@@ -24,7 +24,7 @@
 	FilterBank.o FormantGrid_extensions.o \
 	GaussianMixture.o  \
 	HMM.o \
-	ICA.o Intensity_extensions.o \
+	ICA.o Intensity_extensions.o IntervalTierNavigator.o \
 	LFCC.o LongSound_extensions.o \
 	KlattGrid.o KlattGridEditors.o KlattTable.o \
 	Ltas_extensions.o \
@@ -36,10 +36,10 @@
 	Matrix_Categories.o MDS.o \
 	OptimalCeilingTier.o OptimalCeilingTierEditor.o \
 	PatternList.o PCA.o \
-	Pitch_extensions.o Polynomial.o \
+	Pitch_extensions.o Polynomial_to_Spectrum.o \
 	Polygon_extensions.o Procrustes.o \
 	Proximity.o Proximity_and_Distance.o \
-	Resonator.o \
+	Resonator.o Roots_to_Spectrum.o \
 	Sound_and_MixingMatrix.o \
 	Sound_and_Spectrogram_extensions.o Sound_and_PCA.o Sound_extensions.o \
 	Sound_to_MFCC.o Sounds_to_DTW.o \
@@ -50,7 +50,7 @@
 	TableOfReal_extensions.o \
 	TableOfReal_and_Permutation.o \
 	TextGrid_and_DurationTier.o TextGrid_and_PitchTier.o TextGrid_extensions.o \
-	VowelEditor.o \
+	TextGridView.o VowelEditor.o \
 	praat_MDS_init.o praat_BSS_init.o praat_HMM_init.o \
 	praat_KlattGrid_init.o praat_DataModeler_init.o praat_David_init.o
