=== debian/changelog ===
praat (6.1.16-1) unstable; urgency=medium

  * New upstream version 6.1.16
  * Refresh patches for new upstream version:
    + d/p/cross-build.patch
    + d/p/use-ldflags.patch
 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Jun 2020 09:23:51 -0300

praat (6.1.15-1) unstable; urgency=medium

  * New upstream version 6.1.15
  * d/t/run-tests: Drop workaround for test_Discriminant.praat
  * d/clean: Extend list of files to remove

 -- Rafael Laboissière <rafael@debian.org>  Thu, 21 May 2020 11:10:34 -0300

praat (6.1.14-3) unstable; urgency=medium

  * d/p/cross-build.patch: New patch
  * d/t/run-tests: Skip unit test test_Discriminant.praat

 -- Rafael Laboissière <rafael@debian.org>  Sun, 10 May 2020 13:57:01 -0300

praat (6.1.14-2) unstable; urgency=medium

  * Integrate changes made in version 6.1.13-2.  These changes were
    stripped out the previous version by mistake.
  * d/control: Bump debhelper compatibitlity level to 13
  * d/s/lintian-overrides: Add override for old mailing list as Maintainer

 -- Rafael Laboissière <rafael@debian.org>  Mon, 04 May 2020 03:42:49 -0300

praat (6.1.14-1) unstable; urgency=medium

  * New upstream version 6.1.14

 -- Rafael Laboissière <rafael@debian.org>  Sun, 03 May 2020 13:43:04 -0300

praat (6.1.13-2) unstable; urgency=medium

  * Team upload.
  * changed a call for isupper(3) to iswupper(3) (Closes: #957704)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Moved Contact information into debian/copyright.

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Sat, 02 May 2020 14:07:38 +0200

praat (6.1.13-1) unstable; urgency=medium

  * New upstream version 6.1.13
  * d/rules: Fix typo for "armhf" architecture
  * d/p/use-praat-envvar.patch: Drop patch (fixed upstream)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Apr 2020 12:08:08 -0300

praat (6.1.12-2) unstable; urgency=medium

  * Do not specify the set of archictures for which the package is built.
    However, prevent the unit testing for certain architectures,
    which take very long to run them (armel, amrhf, and mipsel).

 -- Rafael Laboissière <rafael@debian.org>  Sun, 19 Apr 2020 03:38:54 -0300

praat (6.1.12-1) unstable; urgency=medium

  * New upstream version 6.1.12
  * d/t/run-tests: Use upstream scripts for unit testing
  * d/clean: Adjust for new upstream version
  * d/patches/use-praat-envvar.patch: New patch
  * Drop patches (problem is fixed upstream):
    + d/p/unit-test-GaussianMixture-segfault.patch
    + d/p/unit-test-PowerCepstrum-segfault.patch
    + d/p/unit-test-randomFunctions-segfault.patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Apr 2020 19:36:26 -0300

praat (6.1.11-1) unstable; urgency=medium

  * New upstream version 6.1.11

 -- Rafael Laboissière <rafael@debian.org>  Mon, 06 Apr 2020 15:00:25 -0300

praat (6.1.10-1) unstable; urgency=medium

  * New upstream version 6.1.10
  * d/copyright: Reflect upstream changes
  * d/p/use-ldflags.patch: Refresh for new upstream version
  * d/t/run-tests: Skip unit tests resample11_8.praat and colour.praat
  * New patches (fix segfault in unit tests):
    + d/p/unit-test-GaussianMixture-segfault.patch
    + d/p/unit-test-PowerCepstrum-segfault.patch
    + d/p/unit-test-randomFunctions-segfault.patch
  * d/u/metadata: Add Bug-* and Repository* fields

 -- Rafael Laboissière <rafael@debian.org>  Sat, 04 Apr 2020 08:37:47 -0300
