=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Rafael Laboissière <rafael@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libasound2-dev,
                libgtk2.0-dev,
                libjack-jackd2-dev,
@@ -15,11 +15,11 @@
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/praat
 Vcs-Git: https://salsa.debian.org/med-team/praat.git
-Homepage: http://www.praat.org
+Homepage: https://www.praat.org
 Rules-Requires-Root: no
 
 Package: praat
-Architecture: amd64 arm64 i386 mips64el ppc64el s390x alpha kfreebsd-amd64 kfreebsd-i386 m68k powerpc powerpcspe ppc64 sparc64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          oss-compat,
