=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,7 @@
 	# Get rid of the
 	# dpkg-shlibdeps: warning: dependency on lib??? could be avoided if "debian/praat/usr/bin/praat" were not uselessly linked against it (they use none of its symbols).
 	# warnings and useless dependencies
-	sed 's/^LIBS = /& -Wl,--as-needed /'	\
-		makefiles/makefile.defs.linux.pulse > makefile.defs
+	cp makefiles/makefile.defs.linux.pulse makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 
@@ -64,14 +63,13 @@
 	$(CC) $(shell dpkg-buildflags --get CPPFLAGS)		\
 		$(shell dpkg-buildflags --get CFLAGS)		\
 		$(shell dpkg-buildflags --get LDFLAGS)		\
-		-Wl,--as-needed -std=gnu99 -DSTAND_ALONE -DUNIX	\
+		-std=gnu99 -DSTAND_ALONE -DUNIX			\
 		-o sendpraat sys/sendpraat.c			\
 		$(shell $(PKG_CONFIG) --cflags --libs gtk+-2.0)
 
 override_dh_auto_build: sendpraat praat.1 praat_nogui.1 sendpraat.1 praat-open-files.1
 	dh_auto_build
-	sed 's/^LIBS = /& -Wl,--as-needed /'	\
-		makefiles/makefile.defs.linux.nogui > makefile.defs
+	cp makefiles/makefile.defs.linux.nogui makefile.defs
 	# Add hardening flags
 	cat debian/mk-vars-hardening >> makefile.defs
 	rm -f melder/*.o sys/*.o fon/SoundRecorder.o fon/praat_Sound.o	\
@@ -83,7 +81,9 @@
 	dh_installchangelogs debian/What_s_new_.html
 	dh_auto_install -- INSTALL=
 
+ifeq (,$(filter $(DEB_HOST_ARCH),armel armhf mipsel))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	PRAAT=$(CURDIR)/praat debian/tests/run-tests
 endif
+endif
